%define anolis_release 2

%global srcname SecretStorage

Name:			python-%{srcname}
Version:		3.3.3
Release:		%{anolis_release}%{?dist}
Summary:		Python bindings to FreeDesktop.org Secret Service API
URL:			https://github.com/mitya57/secretstorage
Source0:		%pypi_source
License:		BSD
BuildArch:		noarch

BuildRequires:	python3-devel
BuildRequires:	python3-cryptography
BuildRequires:	python3-jeepney
BuildRequires:	python3-setuptools
BuildRequires:	python3-sphinx

%{?python_enable_dependency_generator}

%description
This module provides a way for securely storing passwords and other secrets.

It uses D-Bus Secret Service API that is supported by GNOME Keyring (>= 2.30)
and KSecretsService.

The main classes provided are secretstorage.Item, representing a secret item
(that has a label, a secret and some attributes) and secretstorage.Collection,
a place items are stored in.

SecretStorage supports most of the functions provided by Secret Service,
including creating and deleting items and collections, editing items, locking
and unlocking collections (asynchronous unlocking is also supported).


%package -n     python3-secretstorage
Summary:		%{summary}

Provides:		python3-%{srcname} = %{version}-%{release}
Obsoletes:		python3-%{srcname} < 3

%{?python_provide:%python_provide python3-secretstorage}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-secretstorage
This module provides a way for securely storing passwords and other secrets.

It uses D-Bus Secret Service API that is supported by GNOME Keyring (>= 2.30)
and KSecretsService.

The main classes provided are secretstorage.Item, representing a secret item
(that has a label, a secret and some attributes) and secretstorage.Collection,
a place items are stored in.

SecretStorage supports most of the functions provided by Secret Service,
including creating and deleting items and collections, editing items, locking
and unlocking collections (asynchronous unlocking is also supported).

%package -n python3-secretstorage-doc
Summary:	SecretStorage documentation
Obsoletes:		python-%{srcname}-doc < 2.3.1-11
%{?python_provide:%python_provide python3-secretstorage-doc}

%description -n python3-secretstorage-doc
Documentation for SecretStorage.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

# Build the documentation
%{__python3} setup.py build_sphinx

# Remove unnecessary files generated by python-sphinx
find build -name '.buildinfo' -delete -print
find build -name 'doctrees' -type d -print -exec rm -r '{}' +

%install
%py3_install

%files -n python3-secretstorage
%license LICENSE
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/secretstorage/

%files -n python3-secretstorage-doc
%doc changelog README.rst
%doc build/sphinx/html/*

%changelog
* Wed Mar 27 2024 Bo Ren <rb01097748@alibaba-inc.com> - 3.3.3-2
- Rebuild with python3.11

* Tue May 16 2023 Funda Wang <fundawang@yeah.net> - 3.3.3-1
- Import package for anolis 23
